Skip to main content
POST
Send a quick chat message

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Idempotency-Key
string

A UUID. When present, deduplicates repeat submissions. See /api-reference/idempotency.

Body

application/json
channel_id
string<uuid>
required

A connected channel id from GET /v1/quick/chat-channels.

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
text
string
required

Plain text, up to 2000 characters. @channel/@here/@everyone and user mentions are not triggered.

Required string length: 1 - 2000

Response

Success

data
object
required